Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Asynchronous Notification for refund ​

  • Endpoint: POST /delSuffixStart9
  • Tags: Collection Service

Parameters ​

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples ​

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body ​

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesMerchant ID assigned by PayerMax.
refundIdstringYesMerchant refund ID.
tradeNostringYesThe payermax original Platform Order ID.
orderIdstringYesOriginal merchant order ID.
statusnumberYesRefund status: 1 - success, 2 - failure.
refundAmountstringYesRefund amount.
currencystringYesRefund amount currency.
errorCodestringNoError code for failed refund. It will be an empty string if the refund is successful.
errorMsgstringNoError message for failed refund. It will be an empty string if the refund is successful.

Example ​

json
{
  "merchantId": "SP12345678",
  "refundId": "201811121126886846",
  "tradeNo": "20220914153025TI2536162084804117",
  "orderId": "1535433567849",
  "status": 1,
  "refundAmount": "1000",
  "currency": "SAR",
  "errorCode": "",
  "errorMsg": ""
}

Responses ​

200 ​

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 6Interface response code.
messagestringNomaxLength: 32Interface response message.

Response Example ​

json
{
  "bizCode": "0000",
  "message": "success"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.